Debian Bug report logs - #254720
masqmail: FTBFS on amd64: configure check for res_search/__res_search fails

version graph

Package: masqmail; Maintainer for masqmail is Steffen Rumberger <inne@sdfeu.org>; Source for masqmail is src:masqmail.

Reported by: Andreas Jochens <aj@andaco.de>

Date: Wed, 16 Jun 2004 16:03:01 UTC

Severity: important

Tags: fixed, patch

Fixed in version masqmail/0.2.21-3

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#254720; Package masqmail. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Oliver Kurth <oku@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: masqmail: FTBFS on amd64: configure check for res_search/__res_search fails
Date: Wed, 16 Jun 2004 17:44:54 +0200
Package: masqmail
Severity: normal
Tags: patch

On amd64 I get the following error:

checking for res_search in -lc... no
checking for res_search in -lresolv... no
configure: error: "no libresolv"

I could fix this by replacing res_search with __res_search in configure.ac 
(see attached patch) and running aclocal-1.4, automake and autoconf 
after that.

Regards
Andreas Jochens

diff -urN ../tmp-orig/masqmail-0.2.20/configure.ac ./configure.ac
--- ../tmp-orig/masqmail-0.2.20/configure.ac	2003-06-03 17:52:45.000000000 +0200
+++ ./configure.ac	2004-06-16 17:34:39.955615777 +0200
@@ -36,9 +36,9 @@
 dnl checks necessary for libc5:
 dnl if there is res_search in libc, it is probably libc5
 dnl if not, it is probably libc6 and we need libresolv
-	AC_CHECK_LIB(c, res_search, need_resolv=no, need_resolv=yes)
+	AC_CHECK_LIB(c, __res_search, need_resolv=no, need_resolv=yes)
 	if test "$need_resolv" = yes; then
-		AC_CHECK_LIB(resolv, res_search,has_resolv=yes,AC_MSG_ERROR("no libresolv"))
+		AC_CHECK_LIB(resolv, __res_search,has_resolv=yes,AC_MSG_ERROR("no libresolv"))
 		RESOLV_LIBS='-lresolv'
 	else
 		RESOLV_LIBS=''


-- System Information:
Debian Release: testing/unstable
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.6-1-k8-smp
Locale: LANG=C, LC_CTYPE=C



Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#254720; Package masqmail. Full text and rfc822 format available.

Acknowledgement sent to Barry deFreese <bddebian@comcast.net>:
Extra info received and forwarded to list. Copy sent to Oliver Kurth <oku@debian.org>. Full text and rfc822 format available.

Message #10 received at 254720@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 254720@bugs.debian.org
Subject: FTBFS Debain GNU/Hurd
Date: Mon, 27 Jun 2005 20:40:00 -0400
This issue also happens when building on Debian GNU/Hurd.

Apparently res_search was deprecated in GLIBC 2.0/2.2.  Please look at 
the following link for more information:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=43822

Thank you,

Barry deFreese (bddebian)
Hacker Wannabe



Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#254720; Package masqmail. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Oliver Kurth <oku@debian.org>. Full text and rfc822 format available.

Message #15 received at 254720@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 254720@bugs.debian.org
Cc: 254720-submitter@bugs.debian.org
Subject: Adjusting severity
Date: Tue, 28 Jun 2005 17:02:14 +0200
severity 254720 important
thanks

Hi,

as Barry pointed out, masqmail also FTBFS on hurd-i386 for similar
reason.  Now that sarge is out, is it alrighti if either an amd64 or a
Hurd porter will NMU this?  Or will you upload a fixed package yourself
soon?


thanks,

Michael



Severity set to `important'. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Andreas Jochens <aj@andaco.de>:
Bug#254720. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#254720; Package masqmail. Full text and rfc822 format available.

Acknowledgement sent to Oliver Kurth <okurth@gmx.net>:
Extra info received and forwarded to list. Copy sent to Oliver Kurth <oku@debian.org>. Full text and rfc822 format available.

Message #25 received at 254720@bugs.debian.org (full text, mbox):

From: Oliver Kurth <okurth@gmx.net>
To: 254720@bugs.debian.org, Michael Banck <mbanck@debian.org>
Cc: 254720-submitter@bugs.debian.org
Subject: Re: Bug#254720: Adjusting severity
Date: Tue, 28 Jun 2005 10:17:12 -0700
[Message part 1 (text/plain, inline)]
On Tue, 2005-06-28 at 17:02 +0200, Michael Banck wrote:
> severity 254720 important
> thanks
> 
> Hi,
> 
> as Barry pointed out, masqmail also FTBFS on hurd-i386 for similar
> reason.  Now that sarge is out, is it alrighti if either an amd64 or a
> Hurd porter will NMU this?  Or will you upload a fixed package yourself
> soon?

If you do not hear from me within this week, just NMU.

Thanks,
Greetings,
Oliver

[signature.asc (application/pgp-signature, inline)]

Message sent on to Andreas Jochens <aj@andaco.de>:
Bug#254720. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#254720; Package masqmail. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Oliver Kurth <oku@debian.org>. Full text and rfc822 format available.

Message #33 received at 254720@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 254720@bugs.debian.org
Subject: Re: masqmail: FTBFS on amd64: configure check for res_search/__res_search fails
Date: Thu, 15 Dec 2005 21:46:15 +0100
[Message part 1 (text/plain, inline)]
Hi,

Here is a patch against configure.ac (you need to run autoconf)
that should fix the problem, by checking an other time for
res_search with AC_TRY_LINK, and using an include of <resolv.h>
this time.


Kurt

[masq-res.diff (text/plain, attachment)]

Tags added: fixed Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as not found in version 0.2.21-1.2. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Wed, 30 May 2007 22:27:05 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 254720-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 254720-close@bugs.debian.org
Subject: Bug#254720: fixed in masqmail 0.2.21-3
Date: Sun, 13 Jan 2008 00:32:03 +0000
Source: masqmail
Source-Version: 0.2.21-3

We believe that the bug you reported is fixed in the latest version of
masqmail, which is due to be installed in the Debian FTP archive:

masqmail_0.2.21-3.diff.gz
  to pool/main/m/masqmail/masqmail_0.2.21-3.diff.gz
masqmail_0.2.21-3.dsc
  to pool/main/m/masqmail/masqmail_0.2.21-3.dsc
masqmail_0.2.21-3_i386.deb
  to pool/main/m/masqmail/masqmail_0.2.21-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254720@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated masqmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 01:17:10 +0100
Source: masqmail
Binary: masqmail
Architecture: source i386
Version: 0.2.21-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 masqmail   - A mailer for hosts without permanent internet connection
Closes: 254720 353948 376766 390996 404359 434458
Changes: 
 masqmail (0.2.21-3) unstable; urgency=low
 .
   * QA upload.
   * Add LSB header to init.d script documenting its dependencies.
   * Add dependency on update-inetd.  Based on patch from Ubuntu.
   * Make sure init.d script create /var/run/masqmail/ if it is
     missing, to handle /var/run/ as a tmpfs (Closes: #353948, #376766,
     #390996).  Patch from Zak B. Elep.
   * Change postinst to use new tail syntax (Closes: #404359)
   * Acknowledge NMU (Closes: #254720).
   * Moved debhelper compatibility level from rules to compat.
   * Upgraded debhelper compatibility level from 3 to 6.
   * Updated standards-version from 3.5.7 to 7.3.7.  No changes needed.
   * Debconf templates translations:
     - Portugese by Américo Monteiro (Closes: #434458).
Files: 
 2585329ebdec009a09acc1fe5746cdb4 621 mail extra masqmail_0.2.21-3.dsc
 e29b6c6dfabf6fecf617cb4f1a5cb85b 96702 mail extra masqmail_0.2.21-3.diff.gz
 dbd4fe2428dfe1c08a1a49b1b7c31cb5 144146 mail extra masqmail_0.2.21-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiVnM20zMSyow1ykRAhrkAKCQbT6mYCy/tNxEJKSG/vw9Kz+FdgCgsWeM
XTsjYIVWLgv+t7aFPIAJi8g=
=UtQN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Mar 2008 07:26:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:38:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.